ID CVE-2005-1173
Summary Buffer overflow in PMSoftware Simple Web Server 1.0 allows remote attackers to execute arbitrary code via a long GET request.
References
Vulnerable Configurations
  • cpe:2.3:a:pmsoftware:simple_web_server:1.0
    cpe:2.3:a:pmsoftware:simple_web_server:1.0
CVSS
Base: 7.5 (as of 14-06-2005 - 23:13)
Impact:
Exploitability:
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
exploit-db via4
  • description PMsoftware Simple Web Server 1.0 Remote Stack Overflow Exploit. CVE-2005-1173. Remote exploit for windows platform
    id EDB-ID:949
    last seen 2016-01-31
    modified 2005-04-20
    published 2005-04-20
    reporter c0d3r
    source https://www.exploit-db.com/download/949/
    title PMsoftware Simple Web Server 1.0 - Remote Stack Overflow Exploit
  • description PMSoftware Simple Web Server (GET Request) Remote BoF Exploit. CVE-2005-1173. Remote exploit for windows platform
    id EDB-ID:945
    last seen 2016-01-31
    modified 2005-04-24
    published 2005-04-24
    reporter cybertronic
    source https://www.exploit-db.com/download/945/
    title PMSoftware Simple Web Server GET Request Remote BoF Exploit
nessus via4
NASL family Web Servers
NASL id WWW_TOO_LONG_URL.NASL
description The remote web server crashes when it receives a too long URL. It might be possible to make it execute arbitrary code through this flaw.
last seen 2019-01-16
modified 2018-08-07
plugin id 10320
published 1999-06-22
reporter Tenable
source https://www.tenable.com/plugins/index.php?view=single&id=10320
title Web Server Long URL Handling Remote Overflow DoS
refmap via4
bugtraq 20050418 ERNW Security Advisory 01/2005
Last major update 17-10-2016 - 23:17
Published 02-05-2005 - 00:00
Back to Top